org.keycloak.models

## Class CredentialValidationOutput

- java.lang.Object
- - org.keycloak.models.CredentialValidationOutput

-     public class CredentialValidationOutput
      extends Object

  Output of credential validation
  Author:
    Marek Posolda

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CredentialValidationOutput.Status`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialValidationOutput(UserModel authenticatedUser, CredentialValidationOutput.Status authStatus, Map<String,String> state)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CredentialValidationOutput` | `failed()`
    `UserModel` | `getAuthenticatedUser()`
    `CredentialValidationOutput.Status` | `getAuthStatus()`
    `Map<String,String>` | `getState()` State that is passed back by provider
    `CredentialValidationOutput` | `merge(CredentialValidationOutput that)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CredentialValidationOutput

          public CredentialValidationOutput(UserModel authenticatedUser,
                                            CredentialValidationOutput.Status authStatus,
                                            Map<String,String> state)

  - ### Method Detail

    - #### failed

          public static CredentialValidationOutput failed()

    - #### getAuthenticatedUser

          public UserModel getAuthenticatedUser()

    - #### getAuthStatus

          public CredentialValidationOutput.Status getAuthStatus()

    - #### getState

          public Map<String,String> getState()

      State that is passed back by provider
      Returns:

    - #### merge

          public CredentialValidationOutput merge(CredentialValidationOutput that)

Copyright © 2020 JBoss by Red Hat. All rights reserved.